> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1commit tags



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/commit_tags
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/commit_tags:
    post:
      tags:
        - commit_tags
      operationId: create_tag
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTagRequest'
        required: true
      responses:
        '201':
          description: Tag created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTagResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Commit not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Tag already exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    CreateTagRequest:
      type: object
      description: Request body for POST /api/v1/commit_tags
      required:
        - tag_name
        - commit_id
      properties:
        commit_id:
          type: string
          format: uuid
          description: The commit ID this tag should point to
        description:
          type:
            - string
            - 'null'
          description: Optional description of what this tag represents
        tag_name:
          type: string
          description: >-
            The name of the tag (alphanumeric, hyphens, underscores, dots, 1-64
            chars)
    CreateTagResponse:
      type: object
      description: Response body for POST /api/v1/commit_tags
      required:
        - tag_id
        - tag_name
        - commit_id
      properties:
        commit_id:
          type: string
          format: uuid
          description: The commit ID this tag points to
        tag_id:
          type: string
          format: uuid
          description: The ID of the newly created tag
        tag_name:
          type: string
          description: The name of the tag
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````